CREATE TABLE msc_bm_supply_event (
    BM_RUN_ID            NUMBER       ,
    SUPPLY_EVENT_ID      NUMBER       ,
    TIME_PERIOD          NUMBER           NOT NULL,
    QUANTITY             NUMBER       ,
    CREATED_BY           VARCHAR2(256)    NOT NULL,
    CREATION_DATE        TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128),
    INVENTORY_KEY        VARCHAR2(320)    NOT NULL,
    INCLUDED_IN_AS       NUMBER       ,
    BM_RUN_ID            NUMBER       ,
    SUPPLY_EVENT_ID      NUMBER       ,
    TIME_PERIOD          NUMBER           NOT NULL,
    QUANTITY             NUMBER       ,
    CREATED_BY           VARCHAR2(256)    NOT NULL,
    CREATION_DATE        TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128),
    INVENTORY_KEY        VARCHAR2(320)    NOT NULL,
    INCLUDED_IN_AS       NUMBER       ,
    CONSTRAINT pk_msc_bm_supply_event PRIMARY KEY (BM_RUN_ID, SUPPLY_EVENT_ID, BM_RUN_ID, SUPPLY_EVENT_ID)
);
